package org.nl.acs.agv.server;

import org.nl.acs.agv.server.dto.AgvDto;

import java.util.Map;

/**
 * 所有agv公用接口
 */
public interface AgvService {
    //公用
    Map<String, AgvDto> findAllAgvFromCache();
    //公用
    void updateAgvFromCache(AgvDto dto);
    /**
     * 请求开门、关门
     *
     * @param device
     * @return
     */
    public String requestOpenOrCloseDoor(String device, String param);



    //
    public String queryAllDoorStatus();


}
